petsc-3.4.2 2013-07-02

# SNESLineSearchShellGetUserFunc

Gets the user function and context for the shell implementation.

### Synopsis

    PetscErrorCode SNESLineSearchShellGetUserFunc(SNESLineSearch linesearch, SNESLineSearchUserFunc *func, void **ctx)

Not Collective

.keywords: SNESLineSearch, get, Shell, user, function

.seealso: SNESLineSearchShellSetUserFunc()

Level:advanced
Location:src/snes/linesearch/impls/shell/linesearchshell.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages